Create CounterAdjustment - m3ter Documentation
Create CounterAdjustment
cURL
curl --request POST \
--url https://api.m3ter.com/organizations/{orgId}/counteradjustments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"counterId": "<string>",
"accountId": "<string>",
"date": "2022-01-04",
"value": 1,
"version": 123,
"purchaseOrderNumber": "<string>"
}
'```
### Python
```python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/counteradjustments"
payload = {
"counterId": "<string>",
"accountId": "<string>",
"date": "2022-01-04",
"value": 1,
"version": 123,
"purchaseOrderNumber": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
counterId: '<string>',
accountId: '<string>',
date: '2022-01-04',
value: 1,
version: 123,
purchaseOrderNumber: '<string>'
})
};
fetch('https://api.m3ter.com/organizations/{orgId}/counteradjustments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/counteradjustments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'counterId' => '<string>',
'accountId' => '<string>',
'date' => '2022-01-04',
'value' => 1,
'version' => 123,
'purchaseOrderNumber' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.m3ter.com/organizations/{orgId}/counteradjustments"
payload := strings.NewReader("{\n \"counterId\": \"<string>\",\n \"accountId\": \"<string>\",\n \"date\": \"2022-01-04\",\n \"value\": 1,\n \"version\": 123,\n \"purchaseOrderNumber\": \"<string>\"}\n")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response
200
{
"id": "<string>",
"version": 123,
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"counterId": "<string>",
"accountId": "<string>",
"date": "2023-12-25",
"value": 123,
"purchaseOrderNumber": "<string>"
}
4XX / 5XX
{
"message": "<string>"
}
Authorizations
- Authorization: string (required)
Path Parameters
- orgId: string (required) - UUID of the Organization.
Body
- counterId: string (required) - The ID of the Counter used.
- accountId: string (required) - The Account ID the CounterAdjustment is created for.
- date: string (required) - The date for the CounterAdjustment in ISO-8601 format.
- value: integer (required) - Integer Value for the Counter Adjustment.
- version: integer - The version number of the entity.
- purchaseOrderNumber: string (optional) - Purchase Order Number for the Counter Adjustment.
Response Fields
- id: string - The UUID of the entity.
- version: integer - The version number.
- dtCreated: string - The DateTime when this item was created.
- dtLastModified: string - The DateTime when this item was last modified.
- createdBy: string - The ID of the user who created this item.
- lastModifiedBy: string - The ID of the user who last modified this item.
- counterId: string - The ID of the Counter for the adjustment.
- accountId: string - The Account ID the adjustment was created for.
- date: string - The date for the adjustment.
- value: integer - Integer value of the Counter used for the adjustment.
- purchaseOrderNumber: string - Purchase Order Number for the adjustment.